# pcap_stat Struct Reference
[Definitions]

Structure that keeps statistical values on an interface. More...

`#include <pcap.h>`

## Data Fields
u_int | ps_recv
| number of packets transited on the network
u_int | ps_drop
| number of packets dropped by the driver
u_int | ps_ifdrop
| drops by interface, not yet supported
u_int | bs_capt
| Win32 specific. number of packets captured, i.e number of packets that are accepted by the filter, that find place in the kernel buffer and therefore that actually reach the application. For backward compatibility, pcap_stats() does not fill this member, so use pcap_stats_ex() to get it.

## Detailed Description

Structure that keeps statistical values on an interface.

As returned by the pcap_stats()

Definition at line 136 of file incs/pcap.h.

## Field Documentation

u_int bs_capt

Win32 specific. number of packets captured, i.e number of packets that are accepted by the filter, that find place in the kernel buffer and therefore that actually reach the application. For backward compatibility, pcap_stats() does not fill this member, so use pcap_stats_ex() to get it.

Definition at line 141 of file incs/pcap.h.

u_int ps_drop

number of packets dropped by the driver

Definition at line 138 of file incs/pcap.h.

u_int ps_ifdrop

drops by interface, not yet supported

Definition at line 139 of file incs/pcap.h.

u_int ps_recv

number of packets transited on the network

Definition at line 137 of file incs/pcap.h.

The documentation for this struct was generated from the following file:

- incs/pcap.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.